Skip to main content
GET
/
workflows
/
{username}
/
{workflow_name}
Get workflow details
curl --request GET \
  --url https://api.fal.ai/v1/workflows/{username}/{workflow_name} \
  --header 'Authorization: <api-key>'
{
  "workflow": {
    "name": "my-image-workflow",
    "title": "My Image Generation Workflow",
    "user_nickname": "johndoe",
    "created_at": "2025-01-15T12:00:00Z",
    "is_public": false,
    "contents": {
      "nodes": [],
      "edges": []
    }
  }
}

Authorizations

Authorization
string
header
required

API key must be prefixed with "Key ", e.g. Authorization: Key YOUR_API_KEY

Path Parameters

username
string
required

The username of the workflow owner

Example:

"johndoe"

workflow_name
string
required

The workflow name/slug

Example:

"my-image-workflow"

Response

Successfully retrieved workflow details

Response containing a single workflow's details

workflow
object
required

The workflow details

Example:
{
"name": "my-image-workflow",
"title": "My Image Generation Workflow",
"user_nickname": "johndoe",
"created_at": "2024-01-15T10:30:00Z",
"is_public": true,
"contents": {
"nodes": {
"node_a1b2c3": {
"id": "node_a1b2c3",
"type": "model",
"app": "fal-ai/flux/dev",
"depends": [],
"input": { "prompt": "$input.prompt" },
"metadata": { "position": { "x": 300, "y": 100 } }
},
"output": {
"id": "output",
"type": "output",
"depends": ["node_a1b2c3"],
"fields": { "image": "$node_a1b2c3.images.0.url" },
"metadata": { "position": { "x": 600, "y": 100 } }
}
}
}
}